Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002249TestLinkNew Featurepublic2009-03-19 02:052010-09-10 20:14
Reportertstr 
Assigned Toamitkhullar 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.5 (bug fixing) 
Summary0002249: Fails not reported
DescriptionIt is a nice feature having a list of all test cases failed that haven't been reported yet in the BTS. This is, the amount of remaining unreported fails.

As I have seen by now, Testlink informs about how many reports are linked to a failed test case, but not the other side.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-2249.zip [^] (30,445 bytes) 2009-03-20 13:24

- Relationships

-  Notes
(0005906)
amitkhullar (reporter)
2009-03-19 12:56

You need a list of Failed TC on a Test Plan with empty BTS fields.
Hope I have understood the requirement correctly?

Amit
(0005907)
tstr (reporter)
2009-03-19 14:44

Hi Amit,

your guess is correct. The intention of this is having a list of what fails have to be reported after a bulk execution.
If you don't report all the fails and leave the rest for another moment, you would just like to filter only the failed TC that remain to be reported.

Best regards.
Antonio.
(0005908)
amitkhullar (reporter)
2009-03-19 15:56
edited on: 2009-03-19 15:58

I think you can use the existing Failed Test Case Report for the same since you can see which test cases don't have a BUGS linked to them , see the last column in the report.
It would be empty if no BUG is linked with a test case, else it will show the bug id.

Amit

(0005909)
tstr (reporter)
2009-03-19 16:03

Certainly you can, but that way you relay in the human factor who can miss any line at any moment.
With an explicit query you can ensure there are no remaining fails to be reported.
Antonio.
(0005910)
amitkhullar (reporter)
2009-03-19 16:10

I think an extra report for the same would be an extra effort, I will look for an alternate in the same report itself.

Amit
(0005912)
tstr (reporter)
2009-03-19 16:15

Well, could there just be an index, a number, that informs how many failed tests are to be reported yet?

Antonio
(0005917)
amitkhullar (reporter)
2009-03-20 13:09

Please find the file attached for the changes,

Amit
(0005918)
amitkhullar (reporter)
2009-03-20 13:24

Please verify the same.

Amit
(0005920)
tstr (reporter)
2009-03-20 15:27

Hello Amit,

As a report is fine just knowing the number of failed test cases without a bug. I can see the number in the Report screen, filtering the failed test cases.

It would be more powerful if the results could be sorted by column headers (in this case by the value of the Bug field).

Many thanks.

Antonio.
(0005936)
amitkhullar (reporter)
2009-03-22 01:54

Currently the list is sorted by default on Test Case ID which is most usable , I will see if I can provide some alternative otherwise.

Amit

- Issue History
Date Modified Username Field Change
2009-03-19 02:05 tstr New Issue
2009-03-19 12:55 amitkhullar Status new => assigned
2009-03-19 12:55 amitkhullar Assigned To => amitkhullar
2009-03-19 12:56 amitkhullar Note Added: 0005906
2009-03-19 14:44 tstr Note Added: 0005907
2009-03-19 15:57 amitkhullar Note Added: 0005908
2009-03-19 15:58 amitkhullar Note Edited: 0005908
2009-03-19 15:58 amitkhullar Note Edited: 0005908
2009-03-19 16:03 tstr Note Added: 0005909
2009-03-19 16:10 amitkhullar Note Added: 0005910
2009-03-19 16:15 tstr Note Added: 0005912
2009-03-20 13:09 amitkhullar File Added: fix-2249.zip
2009-03-20 13:09 amitkhullar Note Added: 0005917
2009-03-20 13:09 amitkhullar Status assigned => acknowledged
2009-03-20 13:24 amitkhullar File Deleted: fix-2249.zip
2009-03-20 13:24 amitkhullar File Added: fix-2249.zip
2009-03-20 13:24 amitkhullar Note Added: 0005918
2009-03-20 13:24 amitkhullar Status acknowledged => feedback
2009-03-20 15:27 tstr Note Added: 0005920
2009-03-22 01:54 amitkhullar Note Added: 0005936
2010-09-10 20:14 fman Status feedback => closed
2010-09-10 20:14 fman Resolution open => fixed
2010-09-10 20:14 fman Fixed in Version => 1.8.5 (bug fixing)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker